#### D.12.7.14 reverse

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  reverse(l); l list

Return:
  list: l reversed.

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    list l = 1,2,3,4,5;
    list rev = reverse(l);
    l;
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    2
    ==> [3]:
    ==>    3
    ==> [4]:
    ==>    4
    ==> [5]:
    ==>    5
    rev;
    ==> [1]:
    ==>    5
    ==> [2]:
    ==>    4
    ==> [3]:
    ==>    3
    ==> [4]:
    ==>    2
    ==> [5]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.